/*
*  Name:      TString.java
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   SQL type string.
*  Date:      $Date: 2002/09/28 18:54:48 $
*  Revision:  $Revision: 1.7 $
*
*  Copyright (C) 2002  Rafael Jesus Alcantara Perez <rafa@dedalo-ing.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

///  Package for UESQL.
package org.uesqlc;


///  SQL type for strings.
public class TString implements IType
{

  protected StringBuffer   yValue = null;


  //
  //  C O N S T R U C T O R S
  //

  /**
  *  Builds a new instance.
  *  @post ( isNull() )
  */
  public TString() {}

  /**
  *  Builds a new instance.
  *  @param kySTRING Source string.
  *  @post ( isNull() == ( null == kySTRING ) )
  */
  public TString (final String kySTRING)
  {
    if ( kySTRING != null )
    {
      yValue = new StringBuffer (kySTRING);
    }
  }

  public IType set (final Object ktVALUE)
  {
    if ( ktVALUE == null )
    {
      yValue = null;
    }
    else
    {
      yValue = new StringBuffer ((String) ktVALUE);
    }
    return this;
  }


  //
  //  S E L E C T O R S
  //

  public String get()
  {

    String   yResult;

    if ( isNull() )
    {
      yResult = "null";
    }
    else
    {
      yResult = "'" + yValue + "'";
    }
    return yResult;

  }  // get()

  public boolean isNull()
  {
    return ( yValue == null );
  }

  public String toString()
  {
    return yValue.toString();
  }

}  // class TString
